## org.eclipse.m2m.atl.adt.ui.text
Class AtlWordDetector

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.text.AtlWordDetector

All Implemented Interfaces:
  org.eclipse.jface.text.rules.IWordDetector

    public class AtlWordDetector

extends java.lang.Object
implements org.eclipse.jface.text.rules.IWordDetector

This class allows to check if a parsed word is an ATL one or not. This is the same method as for all other languages.

Constructor Summary
`AtlWordDetector()`

Method Summary
`boolean` `isWordPart(char c)`
`boolean` `isWordStart(char c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtlWordDetector

    public AtlWordDetector()

Method Detail

### isWordStart

    public boolean isWordStart(char c)

  Specified by:
    `isWordStart` in interface `org.eclipse.jface.text.rules.IWordDetector`
  See Also:
    `IWordDetector.isWordStart(char)`

### isWordPart

    public boolean isWordPart(char c)

  Specified by:
    `isWordPart` in interface `org.eclipse.jface.text.rules.IWordDetector`
  See Also:
    `IWordDetector.isWordPart(char)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.